// ==============================================================
//
//  Copyright (c) 1999-2004 by Alex Vinokur.
//
//  For conditions of distribution and use, see
//  copyright notice in version.h
//
// ==============================================================


// ##############################################################
// ==================================
//  n-ary Huffman Template Algorithm
// ==================================
//
//  FILE : raw_main.cpp
//
//  AUTHOR : Alex Vinokur
//
//  DESCRIPTION :
//
//
//         Running the tests with raw frequencies
//         --------------------------------------
//
// ##############################################################

// ==============
#include "raw2.h"
// ==============


// ==============================
int main (int argc, char **argv)
{

  if (argc == 1) return	usage_help (argc, argv);

  assert (argc > 1);

vector<string>	text_vect;
vector<string>	msg_vect;

bool flag = true;
  for (int i = 1; i < argc; i++)
  {
    if (string (argv[i]) == END_OF_TEXT_FILE_ARGV)
    {
      flag = false;
      continue;
    }

    if (flag)	text_vect.push_back (argv[i]);
    else	msg_vect.push_back (argv[i]);
  }

  MixedHuffmanTree<> (text_vect, msg_vect, 1);
  
  return 0;
} // main



